--
--	Bi-directional data bus for R65C02
--	juergen@e-basteln.de 4/2020
--
--	18.4.2020	initial version

library ieee; 
use ieee.std_logic_1164.all; 

entity databus is
	Port ( 
		-- external bi-directional bus
		d_io: 		inout  std_logic_vector (7 downto 0);
		
		-- internal bus and direction bit
		d_read_o: 	out	std_logic_vector (7 downto 0);	-- data coming in from bidir bus
		d_write_i: 	in  	std_logic_vector (7 downto 0);	-- data to bidir bus
		wr_n_i:		in		std_logic								-- '0' to write to bidir bus
	);
end databus;

architecture Behavioral of databus is
begin 
	d_io <= d_write_i when wr_n_i = '0' else "ZZZZZZZZ"; 
	d_read_o <= d_io;
end;
